summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-07-29 19:35:23 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-07-29 19:35:23 +0200
commit7197f661cca3f3b23c26c552845fb932b77e434a (patch)
tree4a49ec0a1b1f51252cde6e3cdb937a3f91fc563c
parentb83641c86a5612341ceff1b33ab143b6b71c813c (diff)
add host tar, GNU tar required for uClibc header installations.
-rw-r--r--package/tar/Makefile3
-rw-r--r--scripts/scan-tools.sh8
-rw-r--r--target/config/Config.in.tools4
3 files changed, 15 insertions, 0 deletions
diff --git a/package/tar/Makefile b/package/tar/Makefile
index dd3558a08..b265cf270 100644
--- a/package/tar/Makefile
+++ b/package/tar/Makefile
@@ -13,8 +13,10 @@ PKG_URL:= http://mirrors.kernel.org/gnu/tar/
PKG_SITES:= http://mirrors.kernel.org/gnu/tar/
PKG_BB:= 1
+include ${ADK_TOPDIR}/mk/host.mk
include ${ADK_TOPDIR}/mk/package.mk
+$(eval $(call HOST_template,TAR,tar,${PKG_VERSION}-${PKG_RELEASE}))
$(eval $(call PKG_template,TAR,tar,${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
CONFIGURE_ENV+= gl_cv_func_mbrtowc_incomplete_state=no \
@@ -24,4 +26,5 @@ tar-install:
${INSTALL_DIR} ${IDIR_TAR}/bin
${INSTALL_BIN} ${WRKINST}/usr/bin/tar ${IDIR_TAR}/bin
+include ${ADK_TOPDIR}/mk/host-bottom.mk
include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 0bfb36c3c..03d5c845f 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -228,6 +228,13 @@ if ! which pkgconf >/dev/null 2>&1; then
host_build_pkgconf=1
fi
+host_build_tar=0
+if ! which tar >/dev/null 2>&1; then
+ if ! tar --version 2>/dev/null|grep GNU >/dev/null;then
+ host_build_tar=1
+ fi
+fi
+
host_build_findutils=0
if ! which gxargs >/dev/null 2>&1; then
if which xargs >/dev/null 2>&1; then
@@ -316,6 +323,7 @@ if [ $host_build_patch -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PATCH
if [ $host_build_pkgconf -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PKGCONF" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_sed -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_SED" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_tar -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_TAR" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi
# optional
if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCACHE if ADK_HOST_NEED_CCACHE" >> $topdir/target/config/Config.in.prereq ;fi
diff --git a/target/config/Config.in.tools b/target/config/Config.in.tools
index 5e8e3ba77..f9822d1df 100644
--- a/target/config/Config.in.tools
+++ b/target/config/Config.in.tools
@@ -69,6 +69,10 @@ config ADK_HOST_BUILD_SED
boolean
default n
+config ADK_HOST_BUILD_TAR
+ boolean
+ default n
+
config ADK_HOST_BUILD_XZ
boolean
default n